Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager.communities
Class CommunityInvitationContext

    java.lang.Object
      com.bea.netuix.servlets.manager.communities.CommunityInvitationContext

    public class CommunityInvitationContext

extends Object

The `CommunityInvitationContext` provides access to community invitation functionality scoped to a particular community and the currently authenticated user. The CommunityInvitationHelper scoped to a particular community is retrieved by calling CommunityContext.getCommunityInvitationContext(). For operations not scoped to a particular community, see the CommunityInvitationHelper object.

The overview of community functionality contains a description of the community framework.

See Also
  `CommunityInvitationHelper`, `CommunityContext`, `CommunityUserContext`

Method Summary
`Invitation` | `getInvitation()` Retrieves an `Invitation` object for the community associated with this CommunityInvitationContext for the currently authenticated user, if such an invitation exists.
`Collection<Invitation>` | `getInvitations()` Retrieves a collection of all `Invitation` objects for the community associated with this CommunityInvitationContext for the currently authenticated user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInvitation

    public Invitation getInvitation()
                             throws RemoteException

  Retrieves an `Invitation` object for the community associated with this CommunityInvitationContext for the currently authenticated user, if such an invitation exists. Note that expired or inactive invitations may be returned, so it is important that the application examine the invitation status.

  Returns
    The invitation object for the currently authenticated user for the community associated with this CommunityInvitationContext. If multiple such invitations exist, the most recent is returned. If no such invitation exists, or if no user is currently authenticated, null is returned.
  Throws
    `RemoteException`

### getInvitations

    public Collection<Invitation> getInvitations()
                                          throws RemoteException

  Retrieves a collection of all `Invitation` objects for the community associated with this CommunityInvitationContext for the currently authenticated user. Note that expired or inactive invitations may be returned, so it is important that the application examine the invitation status.

  Returns
    All invitation objects for the currently authenticated user for the community associated with this CommunityInvitationContext. If no such invitations exist, or if no user is currently authenticated, an empty collection is returned.
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved